#include <windows.h>
#include <gl/gl.h>

#define JAVAEXPORT  __declspec(dllexport) __stdcall
#define JENV        void *jenv, void *jclass

void JAVAEXPORT Java_OpenGL_glAlphaFunc(JENV, GLenum func, GLclampf ref) { glAlphaFunc(func, ref); }
void JAVAEXPORT Java_OpenGL_glBegin(JENV, GLenum mode) { glBegin(mode); }
void JAVAEXPORT Java_OpenGL_glBlendFunc(JENV, GLenum sfactor, GLenum dfactor) { glBlendFunc(sfactor, dfactor); }
void JAVAEXPORT Java_OpenGL_glCallList(JENV, GLuint list) { glCallList(list); }
void JAVAEXPORT Java_OpenGL_glClear(JENV, GLbitfield mask) { glClear(mask); }
void JAVAEXPORT Java_OpenGL_glClearColor(JENV, GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha) { glClearColor(red, green, blue, alpha); }
void JAVAEXPORT Java_OpenGL_glColor3b(JENV, GLbyte red, GLbyte green, GLbyte blue) { glColor3b(red, green, blue); }
void JAVAEXPORT Java_OpenGL_glColor3d(JENV, GLdouble red, GLdouble green, GLdouble blue) { glColor3d(red, green, blue); }
void JAVAEXPORT Java_OpenGL_glColor3f(JENV, GLfloat red, GLfloat green, GLfloat blue) { glColor3f(red, green, blue); }
void JAVAEXPORT Java_OpenGL_glColor3i(JENV, GLint red, GLint green, GLint blue) { glColor3i(red, green, blue); }
void JAVAEXPORT Java_OpenGL_glColor3s(JENV, GLshort red, GLshort green, GLshort blue) { glColor3s(red, green, blue); }
void JAVAEXPORT Java_OpenGL_glColor4b(JENV, GLbyte red, GLbyte green, GLbyte blue, GLbyte alpha) { glColor4b(red, green, blue, alpha); }
void JAVAEXPORT Java_OpenGL_glColor4d(JENV, GLdouble red, GLdouble green, GLdouble blue, GLdouble alpha) { glColor4d(red, green, blue, alpha); }
void JAVAEXPORT Java_OpenGL_glColor4f(JENV, GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha) { glColor4f(red, green, blue, alpha); }
void JAVAEXPORT Java_OpenGL_glColor4i(JENV, GLint red, GLint green, GLint blue, GLint alpha) { glColor4i(red, green, blue, alpha); }
void JAVAEXPORT Java_OpenGL_glColor4s(JENV, GLshort red, GLshort green, GLshort blue, GLshort alpha) { glColor4s(red, green, blue, alpha); }
void JAVAEXPORT Java_OpenGL_glColorMask(JENV, GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha) { glColorMask(red, green, blue, alpha); }
void JAVAEXPORT Java_OpenGL_glColorMaterial(JENV, GLenum face, GLenum mode) { glColorMaterial(face, mode); }
void JAVAEXPORT Java_OpenGL_glCullFace(JENV, GLenum mode) { glCullFace(mode); }
void JAVAEXPORT Java_OpenGL_glDeleteLists(JENV, GLuint list, GLsizei range) { glDeleteLists(list, range); }
void JAVAEXPORT Java_OpenGL_glDepthFunc(JENV, GLenum func) { glDepthFunc(func); }
void JAVAEXPORT Java_OpenGL_glDisable(JENV, GLenum cap) { glDisable(cap); }
void JAVAEXPORT Java_OpenGL_glEnable(JENV, GLenum cap) { glEnable(cap); }
void JAVAEXPORT Java_OpenGL_glEnd(JENV) { glEnd(); }
void JAVAEXPORT Java_OpenGL_glFinish(JENV) { glFinish(); }
void JAVAEXPORT Java_OpenGL_glFlush(JENV) { glFlush(); }
void JAVAEXPORT Java_OpenGL_glFogf(JENV, GLenum pname, GLfloat param) { glFogf(pname, param); }
void JAVAEXPORT Java_OpenGL_glFogi(JENV, GLenum pname, GLint param) { glFogi(pname, param); }
void JAVAEXPORT Java_OpenGL_glFrontFace(JENV, GLenum mode) { glFrontFace(mode); }
GLuint JAVAEXPORT Java_OpenGL_glGenLists(JENV, GLsizei range) { return glGenLists(range); }
GLenum JAVAEXPORT Java_OpenGL_glGetError(JENV) { return glGetError(); }
void JAVAEXPORT Java_OpenGL_glHint(JENV, GLenum target, GLenum mode) { glHint(target, mode); }
void JAVAEXPORT Java_OpenGL_glLightModelf(JENV, GLenum pname, GLfloat param) { glLightModelf(pname, param); }
void JAVAEXPORT Java_OpenGL_glLightModeli(JENV, GLenum pname, GLint param) { glLightModeli(pname, param); }
void JAVAEXPORT Java_OpenGL_glLightf(JENV, GLenum light, GLenum pname, GLfloat param) { glLightf(light, pname, param); }
void JAVAEXPORT Java_OpenGL_glLighti(JENV, GLenum light, GLenum pname, GLint param) { glLighti(light, pname, param); }
void JAVAEXPORT Java_OpenGL_glLoadIdentity(JENV) { glLoadIdentity(); }
void JAVAEXPORT Java_OpenGL_glMaterialf(JENV, GLenum face, GLenum pname, GLfloat param) { glMaterialf(face, pname, param); }
void JAVAEXPORT Java_OpenGL_glMateriali(JENV, GLenum face, GLenum pname, GLint param) { glMateriali(face, pname, param); }
void JAVAEXPORT Java_OpenGL_glMatrixMode(JENV, GLenum mode) { glMatrixMode(mode); }
void JAVAEXPORT Java_OpenGL_glNewList(JENV, GLuint list, GLenum mode) { glNewList(list, mode); }
void JAVAEXPORT Java_OpenGL_glNormal3b(JENV, GLbyte nx, GLbyte ny, GLbyte nz) { glNormal3b(nx, ny, nz); }
void JAVAEXPORT Java_OpenGL_glNormal3d(JENV, GLdouble nx, GLdouble ny, GLdouble nz) { glNormal3d(nx, ny, nz); }
void JAVAEXPORT Java_OpenGL_glNormal3f(JENV, GLfloat nx, GLfloat ny, GLfloat nz) { glNormal3f(nx, ny, nz); }
void JAVAEXPORT Java_OpenGL_glNormal3i(JENV, GLint nx, GLint ny, GLint nz) { glNormal3i(nx, ny, nz); }
void JAVAEXPORT Java_OpenGL_glNormal3s(JENV, GLshort nx, GLshort ny, GLshort nz) { glNormal3s(nx, ny, nz); }
void JAVAEXPORT Java_OpenGL_glPolygonMode(JENV, GLenum face, GLenum mode) { glPolygonMode(face, mode); }
void JAVAEXPORT Java_OpenGL_glPopMatrix(JENV) { glPopMatrix(); }
void JAVAEXPORT Java_OpenGL_glPushMatrix(JENV) { glPushMatrix(); }
void JAVAEXPORT Java_OpenGL_glRotated(JENV, GLdouble anJava_OpenGL_gle, GLdouble x, GLdouble y, GLdouble z) { glRotated(anJava_OpenGL_gle, x, y, z); }
void JAVAEXPORT Java_OpenGL_glRotatef(JENV, GLfloat anJava_OpenGL_gle, GLfloat x, GLfloat y, GLfloat z) { glRotatef(anJava_OpenGL_gle, x, y, z); }
void JAVAEXPORT Java_OpenGL_glScaled(JENV, GLdouble x, GLdouble y, GLdouble z) { glScaled(x, y, z); }
void JAVAEXPORT Java_OpenGL_glScalef(JENV, GLfloat x, GLfloat y, GLfloat z) { glScalef(x, y, z); }
void JAVAEXPORT Java_OpenGL_glScissor(JENV, GLint x, GLint y, GLsizei width, GLsizei height) { glScissor(x, y, width, height); }
void JAVAEXPORT Java_OpenGL_glShadeModel(JENV, GLenum mode) { glShadeModel(mode); }
void JAVAEXPORT Java_OpenGL_glTexCoord1d(JENV, GLdouble s) { glTexCoord1d(s); }
void JAVAEXPORT Java_OpenGL_glTexCoord1f(JENV, GLfloat s) { glTexCoord1f(s); }
void JAVAEXPORT Java_OpenGL_glTexCoord1i(JENV, GLint s) { glTexCoord1i(s); }
void JAVAEXPORT Java_OpenGL_glTexCoord1s(JENV, GLshort s) { glTexCoord1s(s); }
void JAVAEXPORT Java_OpenGL_glTexCoord2d(JENV, GLdouble s, GLdouble t) { glTexCoord2d(s, t); }
void JAVAEXPORT Java_OpenGL_glTexCoord2f(JENV, GLfloat s, GLfloat t) { glTexCoord2f(s, t); }
void JAVAEXPORT Java_OpenGL_glTexCoord2i(JENV, GLint s, GLint t) { glTexCoord2i(s, t); }
void JAVAEXPORT Java_OpenGL_glTexCoord2s(JENV, GLshort s, GLshort t) { glTexCoord2s(s, t); }
void JAVAEXPORT Java_OpenGL_glTexCoord3d(JENV, GLdouble s, GLdouble t, GLdouble r) { glTexCoord3d(s, t, r); }
void JAVAEXPORT Java_OpenGL_glTexCoord3f(JENV, GLfloat s, GLfloat t, GLfloat r) { glTexCoord3f(s, t, r); }
void JAVAEXPORT Java_OpenGL_glTexCoord3i(JENV, GLint s, GLint t, GLint r) { glTexCoord3i(s, t, r); }
void JAVAEXPORT Java_OpenGL_glTexCoord3s(JENV, GLshort s, GLshort t, GLshort r) { glTexCoord3s(s, t, r); }
void JAVAEXPORT Java_OpenGL_glTexParameterf(JENV, GLenum target, GLenum pname, GLfloat param) { glTexParameterf(target, pname, param); }
void JAVAEXPORT Java_OpenGL_glTexParameteri(JENV, GLenum target, GLenum pname, GLint param) { glTexParameteri(target, pname, param); }
void JAVAEXPORT Java_OpenGL_glTranslated(JENV, GLdouble x, GLdouble y, GLdouble z) { glTranslated(x, y, z); }
void JAVAEXPORT Java_OpenGL_glTranslatef(JENV, GLfloat x, GLfloat y, GLfloat z) { glTranslatef(x, y, z); }
void JAVAEXPORT Java_OpenGL_glVertex2d(JENV, GLdouble x, GLdouble y) { glVertex2d(x, y); }
void JAVAEXPORT Java_OpenGL_glVertex2f(JENV, GLfloat x, GLfloat y) { glVertex2f(x, y); }
void JAVAEXPORT Java_OpenGL_glVertex2i(JENV, GLint x, GLint y) { glVertex2i(x, y); }
void JAVAEXPORT Java_OpenGL_glVertex2s(JENV, GLshort x, GLshort y) { glVertex2s(x, y); }
void JAVAEXPORT Java_OpenGL_glVertex3d(JENV, GLdouble x, GLdouble y, GLdouble z) { glVertex3d(x, y, z); }
void JAVAEXPORT Java_OpenGL_glVertex3f(JENV, GLfloat x, GLfloat y, GLfloat z) { glVertex3f(x, y, z); }
void JAVAEXPORT Java_OpenGL_glVertex3i(JENV, GLint x, GLint y, GLint z) { glVertex3i(x, y, z); }
void JAVAEXPORT Java_OpenGL_glVertex3s(JENV, GLshort x, GLshort y, GLshort z) { glVertex3s(x, y, z); }
void JAVAEXPORT Java_OpenGL_glViewport(JENV, GLint x, GLint y, GLsizei width, GLsizei height) { glViewport(x, y, width, height); }

